Subject: Re: bug#15513: Isearch should clear shift-selected region

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 12 Aug 2021 17:07:25 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>> Actually, any highlighted region is a transient region.  Motion commands
>> deactivate the current selection only in the case where the selection
>> was made with shifted motion commands.
>>
>> So C-s should only deactivate the region if it has been activated by
>> shifted motion commands.
>
> I think that makes sense -- but Emacs has worked this way for a long
> time now, and I can't recall seeing many complaints about the behaviour
> of `C-S-right C-s', so changing the behaviour may annoy people.
>
> Anybody got an opinion here?

Nobody had an opinion in a month, so I think the least wrong solution
here is to not change the behaviour here, and I'm closing this bug
report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no